# Uses of Class
it.tdlight.jni.TdApi.TextEntity

## Uses of TdApi.TextEntity in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.TextEntity
Modifier and Type
Field
Description
`TdApi.TextEntity[]`
TdApi.FormattedText.`entities`
Entities contained in the text.
`TdApi.TextEntity[]`
TdApi.TextEntities.`entities`
List of text entities.
Constructors in it.tdlight.jni with parameters of type TdApi.TextEntity
Modifier
Constructor
Description
``
`FormattedText(String text, TdApi.TextEntity[] entities)`
A text with some entities.
``
`TextEntities(TdApi.TextEntity[] entities)`
Contains a list of text entities.